Bug 210854 - [GTK][WPE] White-list more GStreamer environment variables in webkitpy
Summary: [GTK][WPE] White-list more GStreamer environment variables in webkitpy
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: WebKit Local Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Philippe Normand
URL:
Keywords: InRadar
Depends on: 210919 210924
Blocks:
  Show dependency treegraph
 
Reported: 2020-04-22 04:57 PDT by Philippe Normand
Modified: 2020-04-24 07:22 PDT (History)
8 users (show)

See Also:


Attachments
Patch (4.07 KB, patch)
2020-04-22 05:02 PDT, Philippe Normand
no flags Details | Formatted Diff | Diff
Patch (4.23 KB, patch)
2020-04-24 02:41 PDT, Philippe Normand
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Philippe Normand 2020-04-22 04:57:49 PDT
So that layout tests can run in a gst-build uninstalled environment.
Comment 1 Philippe Normand 2020-04-22 05:02:02 PDT
Created attachment 397186 [details]
Patch
Comment 2 Víctor M. Jáquez L. 2020-04-22 05:16:43 PDT
informal r+
Comment 3 Adrian Perez 2020-04-23 02:11:05 PDT
Comment on attachment 397186 [details]
Patch

Patch LGTM.

Related comment, but not for addressing in this patch: It would be neat if we
could unify the list of whitelisted environment variables for both the GTK and
WPE ports, keep them in a list, then iterate over it in common code instead of
repeating a bunch of calls to “_copy_value_from_environ_if_set()” 🤔️
Comment 4 Philippe Normand 2020-04-23 02:13:27 PDT
Yeah I agree. I'm not sure why this was duplicated in the first place.
Comment 5 Philippe Normand 2020-04-23 02:18:00 PDT
Committed r260562: <https://trac.webkit.org/changeset/260562>
Comment 6 Radar WebKit Bug Importer 2020-04-23 02:18:12 PDT
<rdar://problem/62238305>
Comment 7 WebKit Commit Bot 2020-04-23 10:35:16 PDT
Re-opened since this is blocked by bug 210924
Comment 8 Philippe Normand 2020-04-24 02:41:45 PDT
Created attachment 397442 [details]
Patch
Comment 9 Philippe Normand 2020-04-24 03:04:50 PDT
api-gtk green whoohoooo
Comment 10 Carlos Alberto Lopez Perez 2020-04-24 05:00:28 PDT
So the issue was because GST_PLUGIN_PATH_1_0 missing?

BTW, maybe you also want to add REGISTRY_1_0 to the list. My WebKit internal JHBuild  defines this:

$ Tools/jhbuild/jhbuild-wrapper --gtk run env|grep GST
GST_PLUGIN_SYSTEM_PATH=
GST_REGISTRY=/home/clopez/webkit/webkit/WebKitBuild/DependenciesGTK/Root/_jhbuild/gstreamer-0.10.registry
GST_REGISTRY_1_0=/home/clopez/webkit/webkit/WebKitBuild/DependenciesGTK/Root/_jhbuild/gstreamer-1.0.registry
GST_PLUGIN_PATH_1_0=/home/clopez/webkit/webkit/WebKitBuild/DependenciesGTK/Root/lib/gstreamer-1.0
Comment 11 Philippe Normand 2020-04-24 06:45:24 PDT
(In reply to Carlos Alberto Lopez Perez from comment #10)
> So the issue was because GST_PLUGIN_PATH_1_0 missing?
> 

Yep.

> BTW, maybe you also want to add REGISTRY_1_0 to the list. My WebKit internal
> JHBuild  defines this:
> 
> $ Tools/jhbuild/jhbuild-wrapper --gtk run env|grep GST
> GST_PLUGIN_SYSTEM_PATH=
> GST_REGISTRY=/home/clopez/webkit/webkit/WebKitBuild/DependenciesGTK/Root/
> _jhbuild/gstreamer-0.10.registry
> GST_REGISTRY_1_0=/home/clopez/webkit/webkit/WebKitBuild/DependenciesGTK/Root/
> _jhbuild/gstreamer-1.0.registry
> GST_PLUGIN_PATH_1_0=/home/clopez/webkit/webkit/WebKitBuild/DependenciesGTK/
> Root/lib/gstreamer-1.0

Well, I don't think so. Seems like some unmaintained jhbuild stuff to me :) Here gstreamer-1.0.registry doesn't exist and gstreamer-0.10.registry is actually the registry for 1.x... :P
Comment 12 EWS 2020-04-24 07:22:14 PDT
Committed r260641: <https://trac.webkit.org/changeset/260641>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 397442 [details].